package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.ChannelDept;

import java.util.List;
import java.util.Map;

/**
 * 航道部门Mapper接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-18
 */
public interface ChannelDeptMapper extends BaseMapper<ChannelDept> {

    void insertBatch(List<ChannelDept> list);

    void deleteBatchByMap(Map<String, Object> map);

    List<ChannelDept> selectListByDeptIdList(List<String> deptIdList);

}
